Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No

Operating System: MAc OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15432

Description

QGIS 1.8 crashes upon exit on Mac OS 10.7.4

crash report attached

History

#1 - 2012-07-21 09:39 AM - alobo -

- Priority changed from Normal to Severe/Regression

- Operating System set to MAc OS 

- OS version set to 1.7.4

- Affected QGIS version changed from master to 1.8.0

#2 - 2012-07-21 09:54 AM - Larry Shaffer

alobo, please give more details. From the crash report it looks like you were using the 'Offline Editing' plugin. Could you try quiting without using that

plugin to see if the issue occurs.

Also, often with on-Quit crashes, rebuilding the main .plist for the app may help:

    -  With QGIS not running, move (don't delete) /Users/<user here>/Library/Preferences/org.qgis.QGIS.plist to your Desktop. Under Mac 10.7.4, you can

go to the Library folder, which is now hidden from users, by holding the Option key while clicking the Go menu in the Finder (the Library folder appears in

the menu when you do that).

    -  Restart QGIS, which will be reset in many GUI regards, and try the steps you know to cause the crash on Quit.

    -  If it fixed the issue, you will have to redo all of your GUI settings, etc., since the old org.qgis.QGIS.plist is messed up somehow. If the crash still

happens, overwrite the newly created org.qgis.QGIS.plist with the one you moved to your Desktop, thereby reverting QGIS to it previous state.

Please set the OS version of the issue from 1.7.4 to 10.7.4 and downgrade it from Blocker to High.

#3 - 2012-07-21 02:13 PM - alobo -

- OS version changed from 1.7.4 to 10.7.4

- Priority changed from Severe/Regression to High

#4 - 2012-07-22 01:14 AM - alobo -

Unselecting OfflineEditing in Plugins/Manage Plugins solves the problem.

Confirmed that selecting it again causes the crash at exiting, even without opening any
project.

OfflineEditing is not listed under Plugins/Fetch Python plugins

Should I create a ticket for OfflineEditing and close this one?

Have not confirmed wether this is Mac specific, I guess it is as I have not

found the problem on linux (but have not checked if this plugin is actually there).

Agus

#5 - 2012-07-22 03:39 PM - Larry Shaffer

Agus,

See if you can just change the title a bit for the issue. I tested on 10.7.4 with Kyngchaos.com 1.8.0-2 and could not reproduce the crash on Quit, regardless

of having the Offline Editing plugin enabled or not.

It might be a conflict between enabled plugins. Try turning off ALL plugins, including Offline. Then quit QGIS and temporarily move all plugins out of 

~/.qgis/python/plugins.

Restart QGIS and turn on Offline Editing, then quit and see if crash occurs. If it doesn't crash when running as the sole enabled plugin, then there is a

conflict somewhere, and you might try debugging conflicts with your plugins...

First turn on all core plugins (that you were using before) and test quitting the app. If that works, try adding Python plugins back to the 

~/.qgis/python/plugins directory in some orderly fashion, testing the quit of the app by quitting QGIS before and launching QGIS after each plugin add, then

test Quit. This may narrow down which Python plugin is conflicting with Offline Editing.

Note under 10.7.4 and QGIS 1.8.0-2, it did not crash on Quit for me when I had all core plugins and 54 Python plugins enabled.

#6 - 2012-07-23 06:13 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version set to Version 2.0.0

- Crashes QGIS or corrupts data changed from No to Yes

#7 - 2012-10-04 10:34 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
